// Serial driver for AVR USART
// Uses 24 bytes for buffers etc
// This work is provided as-is without any warranty whatsoever
// Use it at your own risk
// Modify and redistribute at will, as long as this disclaimer remains
// (C) Brian Starkey, 2011

#define USART_MOD 1

extern const char comma PROGMEM;
extern const char newline[3] PROGMEM;

void init_usart(void);
void usart_send(char * buffer, uint8_t len);
void usart_byte(uint8_t data);
void usart_send_pmem(PGM_P data, uint8_t len);
uint8_t usart_recv(char * data, uint8_t len, uint16_t o_timeout);
